%global debug_package %{nil}

Name: pacparser
Version: 1.4.3
Release: 1%{?dist}
Summary: A library to parse proxy auto-config (PAC) files

Group: Applications/Internet
License: LGPL
URL: http://pacparser.manugarg.com/
Source: https://github.com/manugarg/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch100: pacparser.lib64.patch
Patch101: pacparser.python3.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#BuildRequires: gcc-c++
BuildRequires: doxygen
#BuildRequires: gdb-headless
BuildRequires: git
BuildRequires: libcurl-devel
BuildRequires: make gcc

%description
pacparser is a library to parse proxy auto-config (PAC) files.
Contains pactester util.


%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%if 0%{?rhel} >= 9
%package -n python3-%{name}
Summary: Python pacparser modules
BuildRequires: python3-devel python3-setuptools
%endif

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%if 0%{?rhel} >= 9
%description -n python3-%{name}
Python packages for using pacparser
%endif

%prep
%setup
%patch100 -p0
%patch101 -p1

%build
export NO_INTERNET=1
echo ${NO_INTERNET}
#%{__make} %{?_smp_mflags} -C src	# pare non gradire -j16
%{__make} -C src

%install
export NO_INTERNET=1
echo ${NO_INTERNET}
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" -C src
%if 0%{?rhel} >= 9
%{__make} install-pymod DESTDIR="%{buildroot}" -C src
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING INSTALL README.md
%doc %{_docdir}
%{_bindir}/pactester
%{_libdir}/lib*.so.*
%{_mandir}/*/*.?.gz

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/lib*.so
%{_includedir}/pacparser.h

%if 0%{?rhel} >= 9
%files -n python3-%{name}
%defattr(-, root, root, 0755)
%{python3_sitearch}/%{name}-*.egg-info/
%{python3_sitearch}/%{name}/
%endif

%changelog
* Wed May 29 2024 Luigi Iotti <asterisk@iotti.biz> - 1.4.3
- build for Almalinux 9 and other rhel 9 clones

* Fri May 25 2018 Stefan van der Eijk <stefan.van.der.eijk@gmail.com> - 1.3.7-1
- Initial package
